%{?nodejs_find_provides_and_requires}

%global packagename jest-message-util
%global enable_tests 1

Name:		nodejs-jest-message-util
Version:	22.4.3
Release:	1%{?dist}
Summary:	Messaging utilities for Jest

License:	MIT
URL:		https://github.com/facebook/jest.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# license
Source1:	https://raw.githubusercontent.com/facebook/jest/master/LICENSE

# Use "babel-code-frame' instead of '@babel/code-frame'
Patch0:		nodejs-jest-message-util_fix-babel-code-frame.patch

BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(babel-code-frame)
BuildRequires:	npm(micromatch)
BuildRequires:	npm(stack-utils)

%if 0%{?enable_tests}
#BuildRequires:
%endif

%description
Messaging utilities for Jest


%prep
%autosetup -n package -p1
# setup the tests
cp -p %{SOURCE1} .

%nodejs_fixdep -r @babel/code-frame
%nodejs_fixdep babel-code-frame '^6.26.0'

cat package.json

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json build/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

ls -altr 

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/echo -e "\e[103m -=#=- This module has no tests -=#=- \e[0m"
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Apr 18 2018 Jared K. Smith <jsmith@fedoraproject.org> - 22.4.3-1
- Initial packaging
